Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Class OutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.omg.CORBA.portable.OutputStream

Direct Known Subclasses:
  OutputStream

public abstract class OutputStream
extends java.io.OutputStream

Constructor Summary
`OutputStream()`

Method Summary
`abstract InputStream` | `create_input_stream()`
`ORB` | `orb()`
`abstract void` | `write_any(Any value)`
`abstract void` | `write_boolean_array(boolean[] value, int offset, int length)`
`abstract void` | `write_boolean(boolean value)`
`abstract void` | `write_char_array(char[] value, int offset, int length)`
`abstract void` | `write_char(char value)`
`void` | `write_Context(Context ctx, ContextList contexts)`
`abstract void` | `write_double_array(double[] value, int offset, int length)`
`abstract void` | `write_double(double value)`
`void` | `write_fixed(java.math.BigDecimal value)` Deprecated. Deprecated by CORBA 2.4.
`void` | `write_fixed(java.math.BigDecimal value, short digits, short scale)`
`abstract void` | `write_float_array(float[] value, int offset, int length)`
`abstract void` | `write_float(float value)`
`abstract void` | `write_long_array(int[] value, int offset, int length)`
`abstract void` | `write_long(int value)`
`abstract void` | `write_longlong_array(long[] value, int offset, int length)`
`abstract void` | `write_longlong(long value)`
`abstract void` | `write_Object(Object value)`
`abstract void` | `write_octet_array(byte[] value, int offset, int length)`
`abstract void` | `write_octet(byte value)`
`void` | `write_Principal(Principal value)` Deprecated. Deprecated by CORBA 2.2
`abstract void` | `write_short_array(short[] value, int offset, int length)`
`abstract void` | `write_short(short value)`
`abstract void` | `write_string(java.lang.String value)`
`abstract void` | `write_TypeCode(TypeCode value)`
`abstract void` | `write_ulong_array(int[] value, int offset, int length)`
`abstract void` | `write_ulong(int value)`
`abstract void` | `write_ulonglong_array(long[] value, int offset, int length)`
`abstract void` | `write_ulonglong(long value)`
`abstract void` | `write_ushort_array(short[] value, int offset, int length)`
`abstract void` | `write_ushort(short value)`
`abstract void` | `write_wchar_array(char[] value, int offset, int length)`
`abstract void` | `write_wchar(char value)`
`abstract void` | `write_wstring(java.lang.String value)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputStream

    public OutputStream()

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`

### orb

    public ORB orb()

### create_input_stream

    public abstract InputStream create_input_stream()

### write_boolean

    public abstract void write_boolean(boolean value)

### write_char

    public abstract void write_char(char value)

### write_wchar

    public abstract void write_wchar(char value)

### write_octet

    public abstract void write_octet(byte value)

### write_short

    public abstract void write_short(short value)

### write_ushort

    public abstract void write_ushort(short value)

### write_long

    public abstract void write_long(int value)

### write_ulong

    public abstract void write_ulong(int value)

### write_longlong

    public abstract void write_longlong(long value)

### write_ulonglong

    public abstract void write_ulonglong(long value)

### write_float

    public abstract void write_float(float value)

### write_double

    public abstract void write_double(double value)

### write_string

    public abstract void write_string(java.lang.String value)

### write_wstring

    public abstract void write_wstring(java.lang.String value)

### write_boolean_array

    public abstract void write_boolean_array(boolean[] value,
                                             int offset,
                                             int length)

### write_char_array

    public abstract void write_char_array(char[] value,
                                          int offset,
                                          int length)

### write_wchar_array

    public abstract void write_wchar_array(char[] value,
                                           int offset,
                                           int length)

### write_octet_array

    public abstract void write_octet_array(byte[] value,
                                           int offset,
                                           int length)

### write_short_array

    public abstract void write_short_array(short[] value,
                                           int offset,
                                           int length)

### write_ushort_array

    public abstract void write_ushort_array(short[] value,
                                            int offset,
                                            int length)

### write_long_array

    public abstract void write_long_array(int[] value,
                                          int offset,
                                          int length)

### write_ulong_array

    public abstract void write_ulong_array(int[] value,
                                           int offset,
                                           int length)

### write_longlong_array

    public abstract void write_longlong_array(long[] value,
                                              int offset,
                                              int length)

### write_ulonglong_array

    public abstract void write_ulonglong_array(long[] value,
                                               int offset,
                                               int length)

### write_float_array

    public abstract void write_float_array(float[] value,
                                           int offset,
                                           int length)

### write_double_array

    public abstract void write_double_array(double[] value,
                                            int offset,
                                            int length)

### write_Object

    public abstract void write_Object(Object value)

### write_TypeCode

    public abstract void write_TypeCode(TypeCode value)

### write_any

    public abstract void write_any(Any value)

### write_Context

    public void write_Context(Context ctx,
                              ContextList contexts)

### write_Principal

    public void write_Principal(Principal value)

  Deprecated. Deprecated by CORBA 2.2

### write_fixed

    public void write_fixed(java.math.BigDecimal value)

  Deprecated. Deprecated by CORBA 2.4.

### write_fixed

    public void write_fixed(java.math.BigDecimal value,
                            short digits,
                            short scale)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD